
//Cкетч для ESP8266
#include <WiFiUdp.h>
#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>

#define WIFI_SSID "xxxxxxxxx"    //Твой логин Wi-Fi
#define WIFI_PASSWORD "xxxxxxxx" //Твой пароль Wi-Fi
const String YOUR_PHONE = "79031984329"; //Номер телефона без "+"
const String YOUR_APIKEY = "xxxxxxxxx"; //Твой API KEY
const String URL = "http://api.whatabot.net/whatsapp/sendMessage?text=";
WiFiUDP ntpUDP;

void setup() {
  wifiConnect();
  //Use the URL encoded blackspace (%20)
  sendWhatsapp("ALARM%20!!!%20Break-in%20door");
}

void sendWhatsapp(String text) {
  WiFiClient client;
  HTTPClient https;
  String url = URL + text + "&apikey=" + YOUR_APIKEY + "&phone=" + YOUR_PHONE;
  https.begin(client, url);
  int httpCode = https.GET();
  https.end();
  ESP.deepSleep(0);                     //Не просыпаться самостоятельно!
}


void loop() {

}

void wifiConnect() {
  WiFi.mode(WIFI_STA);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);  // Connect to the network
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  Serial.println(" ...");
  byte teller = 0;
  while (WiFi.status() != WL_CONNECTED) {  // Wait for the Wi-Fi to connect
    delay(1000);
    Serial.print(++teller);
    Serial.print(' ');
    if (teller % 40 == 0) {
      teller = 0;
      Serial.println();
    }
  }
  Serial.println('\n');
  Serial.println("Connection established");
  Serial.print("IP address: \t");
  Serial.println(WiFi.localIP());
}
